restic backup(1)

NAME

restic-forget - Remove snapshots from the repository

SYNOPSIS

restic forget [flags] [snapshot ID] [...]

DESCRIPTION

The "forget" command removes snapshots according to a policy. All snapshots are first divided into groups according to "--group-by", and after that the policy specified by the "--keep-*" options is applied to each group individually.

Please note that this command really only deletes the snapshot object in the repository, which is a reference to data stored there. In order to remove the unreferenced data after "forget" was run successfully, see the "prune" command.

Please also read the documentation for "forget" to learn about some important security considerations.

EXIT STATUS

Exit status is 0 if the command was successful, and non-zero if there was any error.

OPTIONS

-l, --keep-last=0
    keep the last n snapshots

-H, --keep-hourly=0
    keep the last n hourly snapshots

-d, --keep-daily=0
    keep the last n daily snapshots

-w, --keep-weekly=0
    keep the last n weekly snapshots

-m, --keep-monthly=0
    keep the last n monthly snapshots

-y, --keep-yearly=0
    keep the last n yearly snapshots

--keep-within=
    keep snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-within-hourly=
    keep hourly snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-within-daily=
    keep daily snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-within-weekly=
    keep weekly snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-within-monthly=
    keep monthly snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-within-yearly=
    keep yearly snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-tag=[]
    keep snapshots with this taglist (can be specified multiple times)

--host=[]
    only consider snapshots with the given host (can be specified multiple times)

--tag=[]
    only consider snapshots which include this taglist in the format tag[,tag,...] (can be specified multiple times)

--path=[]
    only consider snapshots which include this (absolute) path (can be specified multiple times)

-c, --compact[=false]
    use compact output format

-g, --group-by="host,paths"
    group snapshots by host, paths and/or tags, separated by comma (disable grouping with '')

-n, --dry-run[=false]
    do not delete anything, just print what would be done

--prune[=false]
    automatically run the 'prune' command if snapshots have been removed

--max-unused="5%"
    tolerate given limit of unused data (absolute value in bytes with suffixes k/K, m/M, g/G, t/T, a value in % or the word 'unlimited')

--max-repack-size=""
    maximum size to repack (allowed suffixes: k/K, m/M, g/G, t/T)

--repack-cacheable-only[=false]
    only repack packs which are cacheable

--repack-small[=false]
    repack pack files below 80% of target pack size

--repack-uncompressed[=false]
    repack all uncompressed data

-h, --help[=false]
    help for forget

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--compression=auto
    compression mode (only available for repository format version 2), one of (auto|off|max)

--insecure-tls[=false]
    skip TLS certificate verification when connecting to the repository (insecure)

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--pack-size=0
    set target pack size in MiB, created pack files may be larger (default: $RESTIC_PACK_SIZE)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n, max level/times is 3)

SEE ALSO

restic(1)